<?xml version="1.0" encoding="UTF-8"?>
<jube>
  <include-path>
  <path tag="jureca">../platforms/JURECA</path>
  <path tag="juawei">../platforms/JUAWEI</path>
  <path tag="jureca_boo">../platforms/JURECA_BOOSTER</path>
  <path tag="claix">../platforms/CLAIX</path>
  <path tag="claix2018">../platforms/CLAIX2018</path>
  <path tag="claix_knl">../platforms/CLAIX_KNL</path>
  <path tag="hazelhen">../platforms/HAZELHEN</path>
  <path tag="supermuc">../platforms/SUPERMUC</path>
  <path tag="supermucng">../platforms/SUPERMUCNG</path>
  </include-path>

    <!-- Job configuration -->
    <parameterset name="systemParameter" init_with="../executable.xml"> 
      <parameter name="timelimit_hm">02:30</parameter>
      <parameter name="nodes" type="int">256</parameter> 
      <parameter name="class" tag="supermucng">general</parameter>
      <parameter name="taskspernode" type="int" tag="claix">4</parameter>
      <parameter name="taskspernode" type="int" tag="claix2018">1</parameter>
      <parameter name="taskspernode" type="int" tag="claix_knl">16</parameter>
      <parameter name="taskspernode" type="int" tag="jureca">4</parameter>
      <parameter name="taskspernode" type="int" tag="juawei">1</parameter>
      <parameter name="taskspernode" type="int" tag="jureca_boo">16</parameter>
      <parameter name="taskspernode" type="int" tag="hazelhen">4</parameter>
      <parameter name="taskspernode" type="int" tag="supermuc">4</parameter>
      <parameter name="taskspernode" type="int" tag="supermucng">4</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="claix">24//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="claix2018">48//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="claix_knl">64//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="jureca">24//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="juawei">64//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="jureca_boo">64//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="hazelhen">24//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="supermuc">28//$taskspernode</parameter>
      <parameter name="threadspertask" mode="python" type="int" tag="supermucng">48//$taskspernode</parameter>
      <parameter name="memoryptask" mode="python" type="int">25600//$taskspernode</parameter>
      <parameter name="tasks" mode="python" type="int">
            $nodes * $taskspernode
      </parameter>
      <parameter name="jobname" >HBi_n$nodes</parameter>
    </parameterset>

</jube>
